# RedHat-style .spec file for Xapian
# xapian.spec.  Generated from xapian.spec.in by configure.
Summary: The Xapian Probabilistic Information Retrieval Library.
Name: xapian-core
Version: 0.8.0
Release: 1
License: GPL
Vendor: www.xapian.org
Group: System Environment/Libraries
URL: http://www.xapian.org/
#Source0: http://www.xapian.org/download/distributions/%{name}-%{version}.tar.gz
Source0: http://www.tartarus.org/~olly/xapian-%{version}/%{name}-%{version}.tar.gz

# Where are we going to build the install set to?
BuildRoot: %{_tmppath}/%{name}-root

%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications.

%package devel
Group: Development/Libraries
Summary: Files needed for building packages which use Xapian.
Requires: xapian-core = %{version}

%description devel
This package contains the files needed for building packages which use the
Xapian library.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
make
make install-strip DESTDIR=%{buildroot}
# Move the docs to the "right" place
mv %{buildroot}/usr/share/doc/%{name} %{buildroot}/usr/share/doc/%{name}-devel-%{version}
# Copy HACKING now, as "%doc HACKING" would overwrite everything
cp HACKING %{buildroot}/usr/share/doc/%{name}-devel-%{version}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/omtcpsrv
%{_bindir}/quartzcheck
%{_bindir}/quartzcompact
%{_bindir}/quartzdump
%{_libdir}/libomqueryparser.so
%{_libdir}/libomqueryparser.so.*
%{_libdir}/libxapianqueryparser.so
%{_libdir}/libxapianqueryparser.so.*
%{_libdir}/libxapian.so
%{_libdir}/libxapian.so.*
%doc AUTHORS ChangeLog COPYING NEWS PLATFORMS README

%files devel
%defattr(-, root, root)
%{_bindir}/xapian-config
%{_includedir}/om
%{_includedir}/xapian
%{_includedir}/xapian.h
%{_libdir}/libomqueryparser.a
%{_libdir}/libomqueryparser.la
%{_libdir}/libxapianqueryparser.a
%{_libdir}/libxapianqueryparser.la
%{_libdir}/libxapian.a
%{_libdir}/libxapian.la
/usr/share/aclocal/xapian.m4
%doc /usr/share/doc/%{name}-devel-%{version}
